@use 'partials/variables/grid';
@use 'partials/variables/ratio';
@use 'partials/variables/card' as card-vars;
@use 'partials/functions/calculations';
@use 'partials/mixins/card';

// these calculations are based on a 1920 wide browser window
// an organization card has a width of 3 columns and 2 gaps
// the width without any units for further calculations
$organization-card-column-count: 3;
$organization-card-size: calculations.calculateWidth(
  grid.$grid-desktop-column-width,
  grid.$grid-desktop-column-gap,
  $organization-card-column-count,
  $organization-card-column-count - 1
);

// the organization card content (vendor name / text) has a width of 1 column and 2 gaps
$organization-card-content-column: 1;
$organization-card-content-width: calculations.calculateRatio(
  calculations.calculateWidth(
    grid.$grid-desktop-column-width,
    grid.$grid-desktop-column-gap,
    $organization-card-content-column,
    $organization-card-content-column + 1
  ),
  $organization-card-size,
  ratio.$percent-100
);

// the organization card image has a width of 1 column, the height is the same as
// the width, so that the container can be quadratic
$organization-card-image-size: calculations.calculateRatio(
  calculations.calculateWidth(
    grid.$grid-desktop-column-width,
    grid.$grid-desktop-column-gap,
    $organization-card-content-column,
    0
  ),
  $organization-card-size,
  100%
);

.organization-card-container {
  position: absolute;
  width: ratio.$percent-100;
  height: ratio.$percent-100;
  padding: 0;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  gap: 20%;
  background-color: transparent;
  border-radius: card-vars.$border-radius;
}

// TODO why use a mixin here?
.logo-container {
  @include card.logo($organization-card-image-size, $organization-card-image-size);
  margin: 0 auto;
}

.org-vendor-logo {
  object-fit: contain;
  border-radius: 50%;
  aspect-ratio: 1/1;
  width: 100%;
}


.organization-header {
  margin-top: 20% !important;
}

.organization-name {
  width: $organization-card-content-width;
  line-break: auto;
  margin-bottom: 30% !important;
  text-align: center;
}

p {
  @include card.text-clamp(3);
}
